Update a GitBook Agent channel for a site
Modifies the configuration of a specific GitBook Agent channel integration, including its role. Use this to change whether the Agent answers documentation questions or actively collaborates on content changes through the connected platform.
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$siteIdstringRequired
The unique id of the site
siteChannelIdstringRequired
The unique id of the site channel
Body
anyOptional
or
or
or
Responses
200
OK
application/json
anyOptional
or
or
or
patch/orgs/{organizationId}/sites/{siteId}/channels/{siteChannelId}
PATCH /v1/orgs/{organizationId}/sites/{siteId}/channels/{siteChannelId} HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"type": "builtin:slack",
"setupSettings": {
"allowedChannels": [
"text"
]
}
}200
OK
{
"type": "builtin:slack",
"setupSettings": {
"allowedChannels": [
"text"
]
},
"object": "site-channel",
"id": "text",
"status": "active",
"role": "collaborator",
"answers": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"urls": {
"location": "https://example.com"
}
}Last updated
Was this helpful?